{-- Algebras - Interface between TerraLib and Haskell

    (c) Sergio Costa (INPE) - Setembro, 2005

	This program is free software; you can redistribute it 
    and/or modify it under the terms of the GNU General 
    Public License 2.1 as published by the Free Software Foundation
    (http://www.opensource.org/licenses/gpl-license.php)
--}

{--  --}


module TerraHS.Algebras.Base
	(
			
	 module TerraHS.Algebras.Base.Ids
	,module TerraHS.Algebras.Base.Attribute 
	,module TerraHS.Algebras.Base.Operations
	,module TerraHS.Algebras.Base.Object
	,module TerraHS.Algebras.Base.Tree
	,module TerraHS.Algebras.Base.Category 

	)
	 where



import TerraHS.Algebras.Base.Ids
import TerraHS.Algebras.Base.Attribute 
import TerraHS.Algebras.Base.Operations
import TerraHS.Algebras.Base.Object
import TerraHS.Algebras.Base.Category
import TerraHS.Algebras.Base.Tree
