{-- TerraHS - Interface between TerraLib and Haskell

    (c) Sergio Costa (INPE) - Setembro, 2005

	This program is free software; you can redistribute it 
    and/or modify it under the terms of the GNU General 
    Public License 2.1 as published by the Free Software Foundation
    (http://www.opensource.org/licenses/gpl-license.php)
--}

{--  --}

module TerraHS.Algebras.Base.Ids
	(
	 Ids (..), ObjectId (..)
	)
	 where

class Ids a where
	createId :: String -> a
	id2string :: a -> String

-- implementation
		
data ObjectId  = ObjectId String deriving (Eq,Show)	

instance Ids ObjectId where
	
	id2string (ObjectId str) = str
	createId str = (ObjectId str)
	
